import os

TIME_ZONE = 'Europe/Paris'
LANGUAGE_CODE = 'en-us'

REST_FRAMEWORK = {
    'DEFAULT_AUTHENTICATION_CLASSES': ['rest_framework.authentication.BasicAuthentication'],
    'EXCEPTION_HANDLER': 'chrono.api.utils.exception_handler',
}

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.postgresql_psycopg2',
        'TEST': {
            'NAME': 'chrono-test-%s' % os.environ.get("BRANCH_NAME", "").replace('/', '-')[:63],
        },
    }
}

KNOWN_SERVICES = {
    'wcs': {
        'default': {
            'title': 'test',
            'url': 'http://example.org',
            'secret': 'chrono',
            'orig': 'chrono',
            'backoffice-menu-url': 'http://example.org/manage/',
        }
    },
}

EXCEPTIONS_SOURCES = {}

SITE_BASE_URL = 'https://example.com'

ENABLE_RECURRING_EVENT_BOOKING = True
